import requests
import json
import time
import numpy as np

relay = {
	'host': 'a73434.berlin.ptb.de',
    'port':55555
}
relay_server_url = "http://{host}:{port}".format(host=relay.get("host"), port=relay.get("port"))

def readMKT50():
    task = {
        "Action": "TCP",
        "Host": "e75421",
        #"Host": "e75448",
        "Port": "5301", 
        "Value": "GET DATA\r"
      }        
    req = requests.post(relay_server_url, json=task)
    #print("0", req)
    return req.json()

req = readMKT50()
time.sleep(1)
req = readMKT50()
print(req)
print(req['Result'])
result_blocks = req['Result'].split()
print(result_blocks)
print("3", float(result_blocks[9]))
print("4", str(np.mean([req["t_start"], req["t_stop"]])) + "\t" + str(float(req['Result'].split()[9])))
time.sleep(1)



#for i in range(1,10000000):
#    f = open('readout_MKT50_01.dat', 'a')
#    try:
#        req = readMKT50()
#        out = str(np.mean([req["t_start"], req["t_stop"]])) + "\t" + str(float(req['Result'].split()[9]))
#        print(out)
#        f.write(out + "\r")
#        time.sleep(1)
#    except:
#        pass
#    f.close
